!+
! Module: adapt_900_mod
!
! Authors:  Steven L. Snowden - Goddard Space Flight Center (NASA)
!
! Description: Extended Source Analysis Software
!
! Comments:
!
! $Id: adapt_900_mod.f90,v 1.2 2009/02/20 13:27:08 aibarra Exp $
!-
module adapt_900_mod

  use dal
  use param
  use errorHandling

  implicit none

  private

  public adapt_900

contains

  !---------------------------------------------------------------------
  subroutine adapt_900
  !---------------------------------------------------------------------
    real :: SN, TEMSC
    integer :: IDET, IBIN, IEL,IEH
    logical :: IPART, IPROT, ISWCX
    character (len=1024) :: PREFIX, MASKFILE

    SN = realParameter("smoothingcounts")
    TEMSC = realParameter("thresholdmasking")
    IDET = intParameter("detector")
    IBIN = intParameter("binning")
    IEL = intParameter("elow")
    IEH = intParameter("ehigh")
    IPART = booleanParameter("withpartcontrol")
    IPROT = booleanParameter("withsoftcontrol")
    ISWCX = booleanParameter("withswcxcontrol")
    PREFIX = stringParameter("prefix")
    MASKFILE = stringParameter("maskfile")

    call adapt_900_sub(SN,TEMSC,IDET,PREFIX,IBIN,IEL,IEH,IPART,IPROT,ISWCX,MASKFILE)

  end subroutine adapt_900

end module adapt_900_mod
