!+
! Module: make_mask_merge_mod
!
! Authors:  Steven L. Snowden - Goddard Space Flight Center (NASA)
!
! Description: Extended Source Analysis Software
! SLS 4 March 2010
!
! Comments:
!
! $Id: make_mask_merge_mod.f90,v 1.4 2009/05/26 12:53:39 aibarra Exp $
!-
module make_mask_merge_mod

  use dal
  use param
  use errorHandling

  implicit none

  private

  public make_mask_merge

contains

  !---------------------------------------------------------------------
  subroutine make_mask_merge
  !---------------------------------------------------------------------
    character(len=132) :: inmask, prefix, srclist
    real :: flimtot, flimsoft, flimhard, maxlikelim, scale, seper

    srclist = stringParameter("srclist")
    prefix = stringParameter("prefix")
    inmask = stringParameter("inmask")
    flimtot = realParameter("flimtot")
    flimsoft = realParameter("flimsoft")
    flimhard = realParameter("flimhard")
    scale = realParameter("scale")
    seper = realParameter("seper")
    maxlikelim = realParameter("maxlikelim")

    call make_mask_merge_sub(srclist,prefix,inmask,flimtot,&
         flimsoft,flimhard,scale,seper,maxlikelim)

  end subroutine make_mask_merge

end module make_mask_merge_mod
