!+
! Module: merge_comp_xmm_mod
!
! Authors:  Steven L. Snowden - Goddard Space Flight Center (NASA)
!
! Description: Extended Source Analysis Software
! SLS 7 May 2009
!
! Comments:
!
! $Id: merge_comp_xmm_mod.f90,v 1.4 2009/05/26 12:53:39 aibarra Exp $
!-
module merge_comp_xmm_mod

  use dal
  use param
  use errorHandling

  implicit none

  private

  public merge_comp_xmm

contains

  !---------------------------------------------------------------------
  subroutine merge_comp_xmm
  !---------------------------------------------------------------------
     character(len=132) :: dirfile,xmmdir
     integer :: coord, compon, iel, ieh, maskcon
     real(kind=double), dimension(2) :: crvaln
     real :: alpha, scale

     xmmdir = stringParameter("caldb")
     dirfile = stringParameter("dirfile")
     coord = intParameter("coord")
     crvaln(1) = realParameter("crvaln1")
     crvaln(2) = realParameter("crvaln2")
     scale = realParameter("pixelsize")
     compon = intParameter("component")
     iel =intParameter("elow")
     ieh = intParameter("ehigh")
     maskcon = intParameter("maskcontrol")
     alpha = realParameter("alpha")

     call merge_comp_xmm_sub(xmmdir,dirfile,coord,crvaln,scale,compon,iel,ieh,maskcon,alpha)

  end subroutine merge_comp_xmm

end module merge_comp_xmm_mod
