!+
! Module: proton_mod
!
! Authors:  Steven L. Snowden - Goddard Space Flight Center (NASA)
!
! Description: Extended Source Analysis Software
!
! Comments:
!
! $Id: proton_mod.f90,v 1.3 2009/02/26 16:39:45 aibarra Exp $
!-
module proton_mod

  use dal
  use param
  use errorHandling

  implicit none

  private

  public proton

contains

  !---------------------------------------------------------------------
  subroutine proton
  !---------------------------------------------------------------------
    character (len=1024) :: prefix,xmmdir
    integer :: ccd1,ccd2,ccd3,ccd4,ccd5,ccd6,ccd7,elow,ehigh,ispec
    real :: pindex, pnorm, bindl, bbreak, bindh, bnorm

    prefix = stringParameter("prefix")
    xmmdir = stringParameter("caldb")
    ccd1 = intParameter("ccd1")
    ccd2 = intParameter("ccd2")
    ccd3 = intParameter("ccd3")
    ccd4 = intParameter("ccd4")
    ccd5 = intParameter("ccd5")
    ccd6 = intParameter("ccd6")
    ccd7 = intParameter("ccd7")
    elow = intParameter("elow")
    ehigh = intParameter("ehigh")
    ispec = intParameter("spectrumcontrol")
    pindex = realParameter("pindex")
    pnorm = realParameter("pnorm")
    bindl = realParameter("bindl")
    bbreak = realParameter("bbreak")
    bindh = realParameter("bindh")
    bnorm = realParameter("bnorm")

    call proton_sub(prefix,xmmdir,xmmdir,ccd1,ccd2,ccd3,ccd4,ccd5,ccd6,ccd7,elow,ehigh,ispec,pindex,pnorm,bindl,bbreak,bindh,bnorm)


  end subroutine proton

end module proton_mod
