!+
! Module: rot_det_sky_mod
!
! Authors:  Steven L. Snowden - Goddard Space Flight Center (NASA)
!
! Description: Extended Source Analysis Software
!
! Comments:
!
! $Id: rot_det_sky_mod.f90,v 1.3 2009/02/26 16:39:45 aibarra Exp $
!-
module rot_det_sky_mod

  use dal
  use param
  use errorHandling

  implicit none

  private

  public rot_det_sky

contains

  !---------------------------------------------------------------------
  subroutine rot_det_sky
  !---------------------------------------------------------------------
	character(len=5) :: PREFIX
	integer :: MODE, IEL, IEH
	real(kind=double) :: DXCEN, DYCEN
	real(kind=single) :: SKYX,SKYY
	character(len=132) :: INFILE

	MODE = intParameter("mode")
	PREFIX = stringParameter("prefix")
	IEL = intParameter("elow")
	IEH = intParameter("ehigh")
	DXCEN = realParameter("detx")
	DYCEN = realParameter("dety")
	SKYX = realParameter("skyx")
	SKYY = realParameter("skyy")
	INFILE = stringParameter("maskfile")

	call rot_det_sky_sub(MODE,PREFIX,PREFIX,IEL,IEH,DXCEN,DYCEN,SKYX,SKYY,INFILE)

  end subroutine rot_det_sky

end module rot_det_sky_mod
