!+
! Module: sp_partial_mod
!
! Authors:  Steven L. Snowden - Goddard Space Flight Center (NASA)
!
! Description: Extended Source Analysis Software
!
! Comments:
!
! $Id: sp_partial_mod.f90,v 1.2 2009/02/20 13:27:08 aibarra Exp $
!-
module sp_partial_mod

  use dal
  use param
  use errorHandling

  implicit none

  private

  public sp_partial

contains

  !---------------------------------------------------------------------
  subroutine sp_partial
  !---------------------------------------------------------------------
	character(len=80) :: xmmdir
	integer :: mosnum
	character(len=60) :: fullimage,fullspec,regionimage,regionspec
	real :: rnorm

	xmmdir = stringParameter("caldb")
	mosnum = intParameter("detector")
	fullimage = stringParameter("fullimage")
	fullspec = stringParameter("fullspec")
	regionimage = stringParameter("regionimage")
	regionspec = stringParameter("regionspec")
	rnorm = realParameter("rnorm")


	call sp_partial_sub(xmmdir,xmmdir,mosnum,fullimage,fullspec,regionimage,regionspec,rnorm)

  end subroutine sp_partial

end module sp_partial_mod
